Security
Create a SCIM bearer token; it is shown only in this response, so pass --reveal
POST /v1/directory/tokens · SDK createDirectoryToken · CLI deployments directory token create
POST
Requires members:write.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key*stringLength
1 <= length <= 512DirectoryTokenCreatedResponse
application/json- response
directory*token*curl -X POST "https://example.com/v1/directory/tokens" \ -H "x-deployments-organization: string" \ -H "idempotency-key: string"{ "directory": { "createdAt": "2019-08-24T14:15:22Z", "defaultRole": "member", "scimBaseUrl": "string", "tokens": [ { "createdAt": "2019-08-24T14:15:22Z", "createdBy": "string", "id": "string", "tokenPrefix": "string" } ], "updatedAt": "2019-08-24T14:15:22Z" }, "token": { "createdAt": "2019-08-24T14:15:22Z", "createdBy": "string", "id": "string", "tokenPrefix": "string", "secret": "string" }}